unit DirSelect;

interface

{$WARN UNIT_PLATFORM OFF} 

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ShellCtrls, StdCtrls, Registry;

type
  TDirSelectForm = class(TForm)
    ShellTreeView: TShellTreeView;
    BOK: TButton;
    BCancel: TButton;
    procedure BOKClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ShellTreeViewDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Directory:string;
  end;

var
  DirSelectForm: TDirSelectForm;

implementation

{$R *.dfm}

procedure TDirSelectForm.BOKClick(Sender: TObject);
begin
  Directory:=ShellTreeView.Path;
end;

procedure TDirSelectForm.FormCreate(Sender: TObject);
var s:string;
begin
  s:='';
  with TRegistry.Create do try
    Access:=KEY_READ;
    RootKey:=HKEY_CURRENT_USER;
    if OpenKey('\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders',false) then
      if ValueExists('My Music')
        then s:=ReadString('My Music')
        else s:=ReadString('Personal');
    if DirectoryExists(s) then
      ShellTreeView.Path:=s;
  finally
    Free;
  end;
end;

procedure TDirSelectForm.ShellTreeViewDblClick(Sender: TObject);
begin
  Directory:=ShellTreeView.Path;
  ModalResult:=mrOK;
end;

initialization
  DirSelectForm:=nil;
end.
