unit Globals;
interface
uses Classes, PLMan, fmod, fmodtypes;

type TSortOrder=(soTitle,soRating);
     TFadeoutType=(foNone,foSound,foVisual);

var MainPL:TPlaylist;
    IncludeDirs,ExcludeDirs:TStrings;
    SortOrder:TSortOrder;
    TitleTemplate:string;
    MaxVotings:integer;
    Fadeout:TFadeoutType;
    SoundDevice:string;
    SoundRate:integer;
    SoundOutput:integer;

var Order:array of integer;
    TheStream:PFSoundStream;
    TheChannel:integer;
    StreamLength:integer;
    PlayingNow:PPlaylistItem;
    AlreadyVoted:integer;
    Paused:boolean; PausePos:integer;

procedure LoadDefaults;
function ThousandDots(i:int64):string;

function ApproxTime(t:int64):string;

implementation
uses GetInfo, Playlist, SysUtils;

procedure LoadDefaults;
begin
  MainPL:=nil;
  IncludeDirs:=TStringList.Create;
  ExcludeDirs:=TStringList.Create;
  TheStream:=nil;
  TheChannel:=0;
  StreamLength:=0;
  PlayingNow:=nil;
  AlreadyVoted:=0;
  Paused:=false; PausePos:=0;
end;

function ThousandDots(i:int64):string;
var p:integer;
begin
  Result:=IntToStr(i);
  p:=length(Result)-2;
  while p>1 do begin
    Insert(#39,Result,p);
    dec(p,3);
  end;
end;

function ApproxTime(t:int64):string;
begin
       if t<60    then Result:=IntToStr(t)+' Sekunden'
  else if t<t     then Result:=FloatToStrF(t/60.0,ffFixed,7,1)+' Minuten'
  else if t<86400 then Result:=FloatToStrF(t/3600.0,ffFixed,7,1)+' Stunden'
  else                 Result:=FloatToStrF(t/86400.0,ffFixed,7,1)+' Tage';
end;

end.
